setwd("Z:/Matlab/Scengen/R")
source("agg.R") 		# Read stage aggregation
data <- read.table("Spot1004.txt",header = TRUE)
attach(data)
period <- 8*7*24		# 8 weeks
prog <- ts(prog[(length(prog)-period+1):length(prog)])

prog_agg = 0
prog_2 = 0
for(i in 1:(period/agg)){
	prog_agg[i] <- mean( prog[(agg*(i-1)+1):(agg*i)] )
}



m_p <- mean(prog_agg)

prog.sarma <- arima((prog_agg-m_p), order = c(2,0,1),seasonal = list(order = c(0,0,0), period = 24), include.mean = FALSE)
out1 <- c(prog.sarma$coef, 0, m_p)
out2 <- prog[(length(prog)-24):length(prog)] - m_p
out3 <- prog.sarma$resid

write.table(out1, file = "progpar_agg.txt", row.names = FALSE, col.names = FALSE)
write.table(out2, file = "progdata_agg.txt", row.names = FALSE, col.names = FALSE)
write.table(out3, file = "progres_agg.txt", row.names = FALSE, col.names = FALSE)